package cn.iocoder.yudao.module.museum.controller.admin.museuminfo.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.museum.controller.admin.museuminfo.MuseumInfoController;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDateTime;

@Schema(description = "博物馆-标本信息-分页 pageReq VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MuseumInfoPageReqVO extends PageParam {

    @Schema(description = "标本id")
    private Integer id;

    @Schema(description = "标本编号")
    private String sampleId;

    @Schema(description = "标本类型")
    private Integer sampleType;

    @Schema(description = "存放位置")
    private String place;
    
}

