package cn.iocoder.yudao.module.museum.controller.admin.museummodel.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.museum.controller.admin.museuminfo.MuseumInfoController;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDateTime;

@Schema(description = "博物馆-模型信息-分页 pageReq VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MuseummodelPageReqVO extends PageParam {
    @Schema(description = "ID")
    private Integer id;

    @Schema(description = "模型名称")
    private String specimenName;

    @Schema(description = "模型编号")
    private Integer specimenNumber;

    //额外添加
    @Schema(description = "模型类型")
    private String specimenType;

    @Schema(description = "模型图片")
    private String modelPhoto;

    @Schema(description = "模型路径")
    private String modelWay;

    @Schema(description = "备注")
    private String remark;
}

