package cn.iocoder.yudao.module.museum.dal.database.museumpicture;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;


/**
 * 博物馆的图片库
 *
 * @author yu
 */
@TableName(value = "museum_picture_dan", autoResultMap = true) // 由于 SQL Server 的 system_user 是关键字，所以使用 system_users
@Data
@Builder
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
public class MuseumPictureDO extends BaseDO {

    @TableId
    private Integer pictureId;

    private Integer groupId;

    private String pictureUrl;
}
