package cn.iocoder.yudao.module.museum.dal.database.museumpicture;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 博物馆的图片组
 *
 * @author yu
 */
@TableName(value = "museum_picture_table", autoResultMap = true) // 由于 SQL Server 的 system_user 是关键字，所以使用 system_users
@Data
@Builder
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
public class PictureGroupDO extends BaseDO {

    @TableId
    private Integer id;

    private LocalDateTime pictureSetTime;

    private String pictureSetIntroduce;
}