package cn.iocoder.yudao.module.museum.service.museummodel;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.museum.controller.admin.museummodel.vo.MuseummodelPageReqVO;
import cn.iocoder.yudao.module.museum.controller.admin.museummodel.vo.MuseummodelSaveVO;
import cn.iocoder.yudao.module.museum.dal.database.museummodel.MuseummodelDO;
import cn.iocoder.yudao.module.museum.controller.admin.museummodel.vo.MuseummodelPageReqVO;
import org.springframework.stereotype.Service;

@Service
public interface MuseummodelService {
   /**
    * 创建标本
   * */
   Integer createMuseumModel(MuseummodelSaveVO saveVO);

   /**
    * 更新标本
    * */
   void updateMuseumModel(MuseummodelSaveVO saveVO);

   /**
    * 删除标本1
    * */
   void deleteMuseumModel(Integer id);


   /**
    * 查询标本
    * */
   MuseummodelDO selectMuseumModel(Integer id);

   /**
    * 获得分页
    *
    * @param pageReqVO 分页查询
    * @return 分页
    */
   PageResult<MuseummodelDO> getMuseummodelPage(MuseummodelPageReqVO pageReqVO);


}
