package cn.iocoder.yudao.module.museum.controller.admin.museumflow.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;

@Schema(description = "博物馆-申请表信息 resp VO")
@Data
public class MuseumFlowRespVO {

    @TableId
    @Schema(description = "样品ID")
    private Integer id;

    @Schema(description = "样品编号")
    private String number;

    @Schema(description = "尺寸")
    private String sampleName;

    @Schema(description = "样品名称")
    private String outboundPerson;

    @Schema(description = "出库时间")
    private LocalDateTime outboundTime;

    @Schema(description = "目的")
    private String purpose;

    @Schema(description = "出库附件")
    private String annexOut;

    @Schema(description = "申请人")
    private String applyPerson;

    @Schema(description = "申请单位")
    private String applyUnit;

    @Schema(description = "申请时间")
    private LocalDateTime applyTime;

    @Schema(description = "预计退还时间")
    private String returnExpect;

    @Schema(description = "审批人")
    private String reviewPerson;

    @Schema(description = "状态")
    private Integer state;

    @Schema(description = "审批时间")
    private LocalDateTime reviewTime;

    @Schema(description = "拒绝原因")
    private String rejectSeason;

    @Schema(description = "退还员")
    private String returnPerson;

    @Schema(description = "退还时间")
    private LocalDateTime returnTime;

    @Schema(description = "点收人")
    private String receviePerson;

    @Schema(description = "回库附件")
    private String annexReturn;

    @Schema(description = "备注")
    private String nots;

}
