package cn.iocoder.yudao.module.museum.controller.admin.museuminfo.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "博物馆-标本信息 Resp VO")
@Data
@ExcelIgnoreUnannotated
public class MuseumInfoRespVO {
//private Integer Ynumber;

    @Schema(description = "标本id")
    private Integer id;

    @Schema(description = "标本编号")
    private String sampleId;

    @Schema(description = "标本类型")
    private Integer sampleType;

    @Schema(description = "存放位置")
    private String place;

    @Schema(description = "中文名称")
    private String chineseName;

    @Schema(description = "英文名称")
    private String englishName;

    @Schema(description = "国际名称")
    private String internationName;

    @Schema(description = "保存类型")
    private Integer keepType;

    @Schema(description = "成份")
    private String element;

    @Schema(description = "产地")
    private String  local;

    @Schema(description = "时代")
    private LocalDateTime bronTime ;

    @Schema(description = "保存地层")
    private String stratum;

    @Schema(description = "发现时间")
    private LocalDateTime findTime;

    @Schema(description = "尺寸")
    private String size;

    @Schema(description = "重量")
    private Long weight;

    @Schema(description = "来源")
    private String origin;

    @Schema(description = "描述")
    private String character;

    @Schema(description = "馆藏状态")
    private Integer save;

    @Schema(description = "入馆时间")
    private String saveTime;

    @Schema(description = "用途")
    private String Use;

    @Schema(description = "资产号")
    private String fundId;

    @Schema(description = "删除原因")
    private String reason;

    @Schema(description = "标本图片")
    private String picture;

    @Schema(description = "备注")
    private String sampleTip;
}
