package cn.iocoder.yudao.module.museum.service.museumpicture;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.museum.controller.admin.museumpicture.vo.MuseumPictureSaveVO;
import cn.iocoder.yudao.module.museum.controller.admin.museumpicture.vo.PicturePageReqVO;
import cn.iocoder.yudao.module.museum.dal.database.museumpicture.MuseumPictureDO;
import org.springframework.stereotype.Service;


@Service
public interface MuseumPictureService {

    /**
     * 创建图片
     */
    Integer createMuseumPicture(MuseumPictureSaveVO saveVO);

    /**
     * 更改图片
     */
    void updateMuseumPicture(MuseumPictureSaveVO saveVO);

    /**
     * 删除图片
     */
    void deleteMuseumPicture(Integer pictureId);

    /**
     * 单独查询图片
     */
    MuseumPictureDO selectMuseumPicture(Integer pictureId);

    /**
     * 相同组查询图片
     */
//    MuseumPictureDO selectMuseumPictureSet(Integer group_id);


     PageResult<MuseumPictureDO> getPicturePage(PicturePageReqVO pageVO);

}
